Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclRefCounterMemFrag Class Reference
[OSCL Base]

`#include <oscl_refcounter_memfrag.h>`

## Public Methods
| OsclRefCounterMemFrag (OsclMemoryFragment &m, OsclRefCounter *r, uint32 in_capacity)
| OsclRefCounterMemFrag (const OsclRefCounterMemFrag &x)
| OsclRefCounterMemFrag ()
OsclRefCounterMemFrag & | operator= (const OsclRefCounterMemFrag &x)
| ~OsclRefCounterMemFrag ()
OsclRefCounter * | getRefCounter ()
OsclMemoryFragment & | getMemFrag ()
OsclAny * | getMemFragPtr ()
uint32 | getMemFragSize ()
uint32 | getCapacity ()
uint32 | getCount ()

## Detailed Description

Class to contain a memory fragment with it's associated reference counter.

## Constructor & Destructor Documentation

OsclRefCounterMemFrag::OsclRefCounterMemFrag | ( | OsclMemoryFragment & | m,
|  | OsclRefCounter * | r,
|  | uint32 | in_capacity
| ) | `[inline]`

  | Constructor. A valid memory fragment and reference counter are required as input. The memory fragment structure will be copied locally. Parameters:
  m | reference to memory fragment
  r | pointer to the reference counter associated with the memory fragment.

OsclRefCounterMemFrag::OsclRefCounterMemFrag | ( | const OsclRefCounterMemFrag & | x | ) | `[inline]`

| Copy constructor.

OsclRefCounterMemFrag::OsclRefCounterMemFrag | ( |  | ) | `[inline]`

| Default constructor.

OsclRefCounterMemFrag::~OsclRefCounterMemFrag | ( |  | ) | `[inline]`

| Destructor. Removes this object's reference from the reference counter. The reference counter will not be deleted. The reference counter is designed to self-delete when it's reference count reaches 0.

## Member Function Documentation

uint32 OsclRefCounterMemFrag::getCapacity | ( |  | ) | `[inline]`

| Returns the capacity of the memory fragment Returns:

uint32 OsclRefCounterMemFrag::getCount | ( |  | ) | `[inline]`

| Returns the reference counter's current count.

OsclMemoryFragment& OsclRefCounterMemFrag::getMemFrag | ( |  | ) | `[inline]`

| Returns a reference to the contained memory fragment structure.

OsclAny* OsclRefCounterMemFrag::getMemFragPtr | ( |  | ) | `[inline]`

| Returns a pointer to the memory fragment data.

uint32 OsclRefCounterMemFrag::getMemFragSize | ( |  | ) | `[inline]`

| Returns the size of the memory fragment data which equals its filled size. Returns:

OsclRefCounter* OsclRefCounterMemFrag::getRefCounter | ( |  | ) | `[inline]`

| Returns a pointer to the contained reference counter object

OsclRefCounterMemFrag& OsclRefCounterMemFrag::operator= | ( | const OsclRefCounterMemFrag & | x | ) | `[inline]`

| Assignment Operator

The documentation for this class was generated from the following file:

- oscl_refcounter_memfrag.h